# woodpecker-ssg-deploy

A Woodpecker plugin to push outputs created by SSGs into git repositories.

## Usage

```yaml
  deploy:
    image: git.polynom.me/papatutuwawa/woodpecker-ssg-deploy:latest
    # The push token
    # NOTE: For gitea, this is currently an access token with Read/Write access
    #       to repositories.
    secrets: [ token ]
    settings:
      # The EMail to use for the git user that does the pushing
      email: "system@example.org"
      # The name to use for the git user that does the pushing
      name: "example.org CI System"
      # The name of the environment variable that contains the push token
      token_env: "TOKEN"
      # The name of the directory containing the SSG output
      output: "public"
      # The name of the branch to push into. Defaults to "pages"
      branch: "pages"
```

What the plugin does is initialize a new Git repository in the output directory,
add all files in the output directory to the repository and then force push to the original 
repository on the specified branch.

For a real-life example [see here](https://git.polynom.me/PapaTutuWawa/blog.polynom.me).

## License

See `LICENSE`.